function CstBrick(fid,CName,CComponent,CMaterial,CXrangeA,CXrangeB,...
    CYrangeA,CYrangeB,CZrangeA,CZrangeB)
global mws brick;

% Funkce CstBrick (fid,CName,CComponent,CMaterial,CXrangeA,CXrangeB,CYrangeA,
% CYrangeB,CZrangeA,CZrangeB) je k vytvoření nové krychle v programu CST. Funkce nemá
% návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CName – jméno krychle.
% CComponent – jméno komponenty.
% CMaterial – materiál objektu.
% CXrangeA – |
% CYrangeA – rozměr krychle od x,y,z.
% CZrangeA – |
% CXrangeB – |
% CYrangeB – rozměr krychle do x,y,z.
% CZrangeB - |

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstBrick(fid,'brick1','component1','PEC',-1,1,-2,2,-3,3);

% Vytvoreni krychle v CST
        fprintf(fid, '%% Vytvoreni krychle\n');
        fprintf(fid, 'brick = mws.invoke(''Brick'');\n');
        fprintf(fid, 'brick.invoke(''Reset'');\n');
        fprintf(fid, ['brick.invoke(''Name'',''',CName,''');\n']);
        fprintf(fid, ['brick.invoke(''Component'',''',CComponent,''');\n']);
        fprintf(fid, ['brick.invoke(''Material'',''',CMaterial,''');\n']);
        fprintf(fid, ['brick.invoke(''Xrange'',',num2str(CXrangeA),',',num2str(CXrangeB),');\n']);
        fprintf(fid, ['brick.invoke(''Yrange'',',num2str(CYrangeA),',',num2str(CYrangeB),');\n']);
        fprintf(fid, ['brick.invoke(''Zrange'',',num2str(CZrangeA),',',num2str(CZrangeB),');\n']);
        fprintf(fid, 'brick.invoke(''Create'');\n\n');
        
        %%%%%%%%%%%%%%%%%%
        
        % Prime vytvoreni krychle v CST
        brick = mws.invoke('Brick');
        brick.invoke('Reset');
        brick.invoke('Name',CName);
        brick.invoke('Component',CComponent);
        brick.invoke('Material',CMaterial);
        brick.invoke('Xrange',CXrangeA,CXrangeB);
        brick.invoke('Yrange',CYrangeA,CYrangeB);
        brick.invoke('Zrange',CZrangeA,CZrangeB);
        brick.invoke('Create');
end